<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Admin Panel</title>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="scripts/css/bootstrap.min.css" />

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>

    <!-- Custom styles for this template -->
    <link href="/admin.css" rel="stylesheet" />
  </head>
  <body>
    <% if(success!=undefined){%>
    <main style="background-color: rgb(248, 239, 224)" onload="clearInputs()" onmousemove="timeout()">
      <%}else{%>
        <main style="background-color: rgb(248, 239, 224)" onload="clearInputs()">
      <%}%>

      <div id="createUser">
        <form method="post" action="/createUser" onsubmit="return createUserValidation()">
          <div>
            <h4>Create User</h4>
            <span class="validationSpan">
              <input
                class="form-control"
                type="text"
                name="username"
                placeholder="Enter Username"
                required
              />
              <span class="validationMessage disp">Enter Valid Name</span>
            </span>
            <input
              class="form-control"
              name="pass"
              type="text"
              placeholder="Enter Password"
              required
            />
            <span class="validationSpan">
              <input
                class="form-control"
                name="userInitials"
                type="text"
                placeholder="Enter User Initials"
                required
              />
              <span class="validationMessage disp">Enter Valid User Initial</span>
            </span>
            <select class="form-select" aria-label="Default select example" name="place">
              <option value="Vadodara">Vadodara</option>
              <option value="Kundal1">Kundal1</option>
              <option value="Kundal2">Kundal2</option>
            </select>
            <select class="form-select" aria-label="Default select example" name="user_role">
              <option value="User">User</option>
              <option value="Admin">Admin</option>
            </select>
            <button type="submit"  class="btn btn-primary">Create</button>
          </div>
        </form>
      </div>
    </main>

    <script src="scripts/js/bootstrap.bundle.min.js"></script>
    <script src="/validation.js"></script>
    <script>
      function createUserValidation(){
        const name = document.getElementsByClassName('form-control')[0].value;
        const userIni = document.getElementsByClassName('form-control')[2].value;
        if(!nameValidation(name)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[0].classList.remove('disp');
          document.getElementsByClassName('validationMessage')[1].classList.add('disp');
          if(!nameValidation(userIni)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[1].classList.remove('disp');
          return false;
          }
          return false;
        }
        else if(!nameValidation(userIni)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[1].classList.remove('disp');
          document.getElementsByClassName('validationMessage')[0].classList.add('disp');
          return false;
        }
        else 
          return true;
      }

      function clearInputs(){
        document.getElementsByClassName('form-control').innerText = '';
      }

      function closeAlert() {
        document.getElementsByClassName("alert")[0].style.display = "none";

        window.location.href="http://localhost:3000/createUser";
      }
      
      function timeout(){
        setTimeout(() => {
          closeAlert();
        }, 2500);
      }
    </script>
  </body>
</html>
